// PGMImage.h: interface for the CPGMImage class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _PGMImage_h_
#define _PGMImage_h_

#include <stdio.h>

class CPGMImage  
{
public:
	unsigned int getHeight();
	unsigned int getWidth();
	bool getPixel(unsigned int x, unsigned int y, unsigned char* value);
	bool setPixel(unsigned int x, unsigned int y, unsigned char value);
	bool resize(unsigned int width, unsigned int height);
	bool savePGM(char* fileName, bool raw=false);
	bool loadPGM(char* fileName);
	CPGMImage(unsigned int width, unsigned int height);
	CPGMImage();
	virtual ~CPGMImage();

private:
	void _writeBin(FILE *f, char *str);
	void _clean(void);
	void _deallocate(void);
	bool _allocate(void);
	unsigned char **_data;
	unsigned int _width, _height;

};

#endif // !defined _PGMImage_h_
